import { PipelineUnits } from '../enums/pipeline-units.enum';
import { TaskStatuses } from '../enums/task-statuses.enum';

export class PipelineTaskEvent {
  taskId: string;
  pipelineId: string;
  projectId: string;
  unit: PipelineUnits | null;
  emittedAt: Date;
  message: string;
  messageType: 'stdout' | 'stderr' | 'stdin';
  status: TaskStatuses;
}
